html {
    scroll-behavior: smooth;
}

.faq-link {
    color: #ff8a00;
    text-decoration: none;
}

.faq-link:hover {
    color: #ff8a00 !important;
    font-weight: bold;
}

.navbar-custom {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
    background: rgba(0, 0, 0, 0.3); 
    backdrop-filter: blur(10px); 
}

.navbar-dark .navbar-nav .nav-link {
    transition: color 0.3s ease;
}

.navbar-dark .navbar-nav .nav-link:hover {
    color: #ff8a00;
}




.hero {
    height: 100vh;
    background-image: url("fokep.jpg");
    background-size: cover;
    background-position: center;
    position: relative;
    overflow: hidden;

    
    animation: bgZoom 3s ease-out forwards;
}


.hero::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.45);
    z-index: 0;
}


.hero {
    display: flex;
    align-items: center;
    justify-content: center;
}


.hero-logo {
    max-width: 500px;
    width: 80%;
    height: auto;
    position: relative;
    z-index: 2;

    filter: drop-shadow(0 10px 20px rgba(0,0,0,0.5));

    
    opacity: 0;
    transform: translateY(-40px) scale(0.96);
    

    animation: heroReveal 1.6s ease-out forwards;
    animation-delay: 0.6s;
}


@keyframes heroReveal {
    to {
        opacity: 1;
        transform: translateY(0) scale(1);
        filter: blur(0);
    }
}

@keyframes bgZoom {
    from {
        transform: scale(1);
    }
    to {
        transform: scale(1.02);
    }
}

.rolunk {
    border-radius: 20px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.2);
    transition: transform 0.4s ease;
}

.rolunk:hover {
    transform: translateY(-8px);
}




.reveal-left {
    opacity: 0;
    transform: translateX(-80px);
    
    transition: all 1s ease-out;
}

.reveal-right {
    opacity: 0;
    transform: translateX(80px);
    transition: all 1s ease-out;
}

.reveal-left.visible,
.reveal-right.visible {
    opacity: 1;
    transform: translateX(0);
    filter: blur(0);
}






.service-card {
    position: relative;
    overflow: hidden;
    border-radius: 20px;
    cursor: pointer;
    aspect-ratio: 1/1;
    opacity: 0;
    transform: translateX(-40px) translateY(-20px);
    transition: all 0.6s ease;
}

.service-card.show {
  opacity: 1;
  transform: translateX(0) translateY(0);
}
.service-card img{
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
    transition: all 0.5s ease;
}

.service-title {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    z-index: 3;
    opacity: 1;
    transition: all 0.5s ease;
    text-align: center;
    text-shadow: 0 4px 15px rgba(0,0,0,0.7);
}

.service-title h3 {
    margin: 0;
    font-size: 1.8rem;
    font-weight: 700;
}


.service-card:hover .service-title {
    transform: translateY(-90px);
}

.card-overlay {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 30px;
    text-align: center;
    color: white;
    opacity: 0;
    transform: translateY(40px);
    transition: all 0.5s ease;
    z-index: 2;
}

.service-card:hover img{
    filter: brightness(0.4);
}

.service-card:hover .card-overlay{
    opacity: 1 !important;
    transform: translate(0);
}

.card-overlay p {
    color: white;
    margin-top: 60px;
    font-size: 1.15rem;
    line-height: 1.5;
    text-shadow: 0 4px 15px rgba(0,0,0,0.7);
}


.service-card:hover .card-overlay {
    opacity: 1;
    transform: translateY(0);
}

@media (max-width: 1280px) {

    .service-card:hover .service-title {
        opacity: 0  !important;
        transform: translateY(0)  !important;
    }

    .service-card:hover .card-overlay {
        opacity: 1  !important;
        transform: translateY(0);
    }

}

@media (max-width: 1280px) {

    .service-title h3 {
        font-size: 1.5rem;
    }

    .card-overlay p {
        font-size: 1rem;
        margin: 0;
    }

}

.col-12.col-sm-6.col-lg-3 {
    display: flex;
}

.service-card {
    width: 100%;
}





.gallery img {
aspect-ratio: 1 / 1;
  transition: transform 0.4s ease, box-shadow 0.4s ease;
  border-radius: 20px;
}

.gallery img:hover {
  transform: scale(1.05);
  box-shadow: 0 10px 30px rgba(0,0,0,0.25);
}

.gallery-section {
  color: white;
}

.section-dark {
  position: relative;
}

.section-dark::before {
  content: "";
  position: absolute;
  top: 0;
  left: 10%;
  right: 10%;
  height: 1px;
  background: linear-gradient(to right, transparent, #ff8a00, transparent);
  opacity: 0.4;
}

.gallery-item {
  opacity: 0;
  transform: translateY(50px);
  transition: all 0.8s ease;
  will-change: transform, opacity;
}

.gallery-item.show {
  opacity: 1;
  transform: translateY(0);
}








.faq-section{
background: rgba(255,255,255,0.03);
    border-radius: 30px;
}


.faq-container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;

}

.faq-title {
    margin-bottom: 60px;
}
.faq-item {
    padding: 25px 30px;
    font-size: 1.4rem;
}
.faq-item:last-child {
    border-bottom: none;
}
.question {
    padding: 15px 20px;
    cursor: pointer;
    font-weight: bold;
    display: flex;
    justify-content: space-between;
    transition: background 0.3;
}
.question:hover {
    background: #f9f9f9;
}
.answer {
    padding: 0 20px 15px 20px;
    color: #555;
    line-height: 1.5;
    display: none;
}
.question.active {
    color: #007bff;
}







.miert-kartya{
    background: #fff;
    padding: 35px;
    border-radius: 20px;
    text-align: center;
    height: 100%;
    box-shadow: 0 4px 20px rgba(0,0,0,0.06);
    transition: 0.3s;
}

.miert-kartya:hover{
    transform: translateY(-5px);
}

.miert-kartya i{
    font-size: 40px;
    margin-bottom: 20px;
    color: #6a994e;
}

.miert-kartya h4{
    margin-bottom: 15px;
}

.why-us-section .container {
    max-width: 1400px;
}






.kapcsolat {
    min-height: 45vh;
}

.contact-form .form-control {
    background: #111;
    border: 1px solid #333;
    color: white;
    padding: 14px 18px;
    border-radius: 14px;
}

.contact-form .form-control:focus {
    background: #222;
    color: white;
    border-color: #d98b2b;
    box-shadow: none;
}

.contact-form textarea {
    resize: none;
}

.contact-form ::placeholder {
    color: rgba(255,255,255,0.55);
}

.contact-form button {
    border-radius: 12px;
    font-weight: 600;
    padding: 12px 24px;
}

.btn-brand {
    background-color: #d98b2b;
    border: none;
    color: white;
}

.btn-brand:hover {
    background-color: #d98b2b;
}





footer {
    background-color: #111;
    color: #ddd;
    border-top: 2px solid #d98b2b;
    font-size: 0.95rem;
    line-height: 1.6;
}

.footer img {
  max-width: 100%;
  height: auto;
}

.icon {
  width: 25px;
  height: 25px;
  object-fit: contain;
}

footer a {
    text-decoration: none;
    color: white;
}

a:hover {
    color: #d98b2b;
}

.icon--facebook {
  width: 35px;
  height: 35px;
}

.phone {
    color: #d98b2b;
}


.footer-box iframe {
  border-radius: 10px;
}
